This repository has been archived by the owner. It is now read-only.

npm ERR! code EINTEGRITY (npm 5) #16861

Closed
alfiepoleon opened this Issue Jun 1, 2017 · 68 comments

Comments

Projects
None yet
@alfiepoleon

alfiepoleon commented Jun 1, 2017

I'm opening this issue because:

  • npm is doing something I don't understand.

What's going wrong?

I deleted the node_modules and ran npm install, it won't finish installing. It throws the following error

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: method-override@2.3.9 (node_modules/method-override):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, open '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/method-override-b32cdc2a/HISTORY.md'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: pegjs@0.10.0 (node_modules/pegjs):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/pegjs-727ccbb8/examples/javascript.pegjs'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: rebound@0.0.13 (node_modules/rebound):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, chmod '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/rebound-febeaca0/docs/public/fonts/aller-bold.ttf'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: array-includes@3.0.3 (node_modules/array-includes):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, open '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/array-includes-ba916eb0/polyfill.js'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: minimist@0.0.10 (node_modules/optimist/node_modules/minimist):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, chmod '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/minimist-01e15d57/test/dash.js'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: optimist@0.6.1 (node_modules/optimist):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/optimist-3fed5f8d/example/line_count.js'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: wordwrap@0.0.3 (node_modules/optimist/node_modules/wordwrap):
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: EEXIST: file already exists, mkdir '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/wordwrap-95e82b04/test'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: File exists: /Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/wordwrap-95e82b04/test
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: parse5@1.5.1 (node_modules/parse5):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, open '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/parse5-bbe9210b/lib/common/foreign_content.js'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: escope@3.6.0 (node_modules/escope):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime '/Users/alfie/Dev/Play/react-native/huh/node_modules/.staging/escope-fadd6a1e/lib/reference.js'

npm ERR! code EINTEGRITY
npm ERR! sha1-Ppz8p24IMzIm82W8+HD3ffvVQs0= integrity checksum failed when using sha1: wanted sha1-Ppz8p24IMzIm82W8+HD3ffvVQs0= but got sha1-Aw5ElVYJsWBoK0sZbA2EUFuTz1k=. (130549 bytes)

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/alfie/.npm/_logs/2017-06-01T08_44_41_142Z-debug.log

my package.json

{
	"name": "huh",
	"version": "0.0.1",
	"private": true,
	"scripts": {
		"start": "node node_modules/react-native/local-cli/cli.js start",
		"test": "jest"
	},
	"dependencies": {
		"lodash": "^4.17.4",
		"moment": "^2.18.1",
		"react": "16.0.0-alpha.6",
		"react-native": "0.44.0",
		"react-native-animatable": "^1.2.0",
		"react-native-img-cache": "^1.4.0",
		"react-native-navigation": "^1.1.79",
		"react-native-vector-icons": "^4.1.1"
	},
	"devDependencies": {
		"babel-eslint": "^7.2.3",
		"babel-jest": "20.0.3",
		"babel-preset-react-native": "1.9.2",
		"eslint": "^3.19.0",
		"eslint-config-airbnb": "^15.0.1",
		"eslint-plugin-import": "^2.3.0",
		"eslint-plugin-jsx-a11y": "^5.0.3",
		"eslint-plugin-react": "^7.0.1",
		"jest": "20.0.3",
		"react-test-renderer": "16.0.0-alpha.6"
	},
	"jest": {
		"preset": "react-native"
	}
}

How can the CLI team reproduce the problem?

Get my package.json and run npm install

supporting information:

  • npm -v prints: 5.0.1
  • node -v prints: v7.10.0
  • npm config get registry prints: https://registry.npmjs.org/
  • Windows, OS X/macOS, or Linux?: macOS
  • Network issues:
    No proxy or VPN or container

Gist

Here is the log gist

Edit:

yarn install in the same directory installs the packages

@zkat zkat added the npm5 label Jun 1, 2017

@mnaumank

This comment has been minimized.

Show comment
Hide comment
@mnaumank

mnaumank Jun 1, 2017

In my case deleting package-lock.json and re issuing npm install fixed the problem. Is it possible 'package-lock.json' is machine specific?

mnaumank commented Jun 1, 2017

In my case deleting package-lock.json and re issuing npm install fixed the problem. Is it possible 'package-lock.json' is machine specific?

@zunman

This comment has been minimized.

Show comment
Hide comment
@zunman

zunman Jun 6, 2017

Hi. I have the same error since yesterday

remote:        Installing node modules (package.json)
remote:        npm ERR! code EINTEGRITY
remote:        npm ERR! sha1-XYgSgHo7OciRwREQnlCyGqwu20U= integrity checksum failed when using sha1: wanted sha1-XYgSgHo7OciRwREQnlCyGqwu20U= but got sha1-30sALaknJtfVWXHtnqsXGqSod0M=. (23778 bytes)

my package.json is

 {
  "name": "RealTimeInstagram",
  "version": "0.0.1",
  "description": "Real time instagram",
  "author": "Michael Lancaster",
  "dependencies": {
    "EventEmitter": "^1.0.0",
    "events": "^1.1.1",
    "express": "^3.21.2",
    "instagram-node-lib": "https://github.com/zunman/instagram-node-lib/tarball/master",
    "jade": "1.3.1",
    "request": "2.34.0",
    "socket.io": "^0.9.19",
    "store": "^2.0.4"
  },
  "engines": {
    "node": "6.9.1",
    "npm": "5.0.1"
  }
}

npm version 3.10.8
node version 6.9.1
Operating system: MacOS

This error started to appear for me when I I commented out a line in a local version of instagram-node-lib "https://github.com/zunman/instagram-node-lib/tarball/master". I reverted my changes but the error persists.

I deleted package-lock.json and that did not resolve the error either.

zunman commented Jun 6, 2017

Hi. I have the same error since yesterday

remote:        Installing node modules (package.json)
remote:        npm ERR! code EINTEGRITY
remote:        npm ERR! sha1-XYgSgHo7OciRwREQnlCyGqwu20U= integrity checksum failed when using sha1: wanted sha1-XYgSgHo7OciRwREQnlCyGqwu20U= but got sha1-30sALaknJtfVWXHtnqsXGqSod0M=. (23778 bytes)

my package.json is

 {
  "name": "RealTimeInstagram",
  "version": "0.0.1",
  "description": "Real time instagram",
  "author": "Michael Lancaster",
  "dependencies": {
    "EventEmitter": "^1.0.0",
    "events": "^1.1.1",
    "express": "^3.21.2",
    "instagram-node-lib": "https://github.com/zunman/instagram-node-lib/tarball/master",
    "jade": "1.3.1",
    "request": "2.34.0",
    "socket.io": "^0.9.19",
    "store": "^2.0.4"
  },
  "engines": {
    "node": "6.9.1",
    "npm": "5.0.1"
  }
}

npm version 3.10.8
node version 6.9.1
Operating system: MacOS

This error started to appear for me when I I commented out a line in a local version of instagram-node-lib "https://github.com/zunman/instagram-node-lib/tarball/master". I reverted my changes but the error persists.

I deleted package-lock.json and that did not resolve the error either.

@bohiltea

This comment has been minimized.

Show comment
Hide comment
@bohiltea

bohiltea Jun 7, 2017

Deleting npm and npm-cache folders in Users%username%\AppData\Roaming (windows 7) and running npm install fixed it for me

bohiltea commented Jun 7, 2017

Deleting npm and npm-cache folders in Users%username%\AppData\Roaming (windows 7) and running npm install fixed it for me

@BurtHarris

This comment has been minimized.

Show comment
Hide comment
@BurtHarris

BurtHarris Jun 7, 2017

Not sure if it's the same thing, but I'm getting Unexpected warning for https://registry.npmjs.org/: Miscellaneous Warning EINTEGRITY: sha1-7kVpawZ+S98Vw5VnEKTDbBfY+PA= integrity checksum failed when using sha1: wanted sha1-7kVpawZ+S98Vw5VnEKTDbBfY+PA= but got sha512-39w19Mseg83z68JsIdcuFH3Z+BR/Jc3gRBB4Pn/aUm76rdy0prMz5iIMJAOb0Bo6H/rZhQc41vFf3tAMgqufVQ==. (3203 bytes)

It seems like the following fixed it for me, warning me it shouldn't be necessary...

npm cache clean --force

BurtHarris commented Jun 7, 2017

Not sure if it's the same thing, but I'm getting Unexpected warning for https://registry.npmjs.org/: Miscellaneous Warning EINTEGRITY: sha1-7kVpawZ+S98Vw5VnEKTDbBfY+PA= integrity checksum failed when using sha1: wanted sha1-7kVpawZ+S98Vw5VnEKTDbBfY+PA= but got sha512-39w19Mseg83z68JsIdcuFH3Z+BR/Jc3gRBB4Pn/aUm76rdy0prMz5iIMJAOb0Bo6H/rZhQc41vFf3tAMgqufVQ==. (3203 bytes)

It seems like the following fixed it for me, warning me it shouldn't be necessary...

npm cache clean --force
@akshayjadhav19710

This comment has been minimized.

Show comment
Hide comment
@akshayjadhav19710

akshayjadhav19710 Jun 9, 2017

Please update npm by cmd
' npm i -g npm '

akshayjadhav19710 commented Jun 9, 2017

Please update npm by cmd
' npm i -g npm '

@flacohenao

This comment has been minimized.

Show comment
Hide comment
@flacohenao

flacohenao Jun 11, 2017

happens to me too, I even uninstall but the problem still happening

flacohenao commented Jun 11, 2017

happens to me too, I even uninstall but the problem still happening

@BurtHarris

This comment has been minimized.

Show comment
Hide comment
@BurtHarris

BurtHarris Jun 12, 2017

@flacohenao did you try clearing the cache w/ npm cache clean --force

BurtHarris commented Jun 12, 2017

@flacohenao did you try clearing the cache w/ npm cache clean --force

@flacohenao

This comment has been minimized.

Show comment
Hide comment
@flacohenao

flacohenao Jun 12, 2017

@BurtHarris I did, and still happening. I realize that it was just the "super" template made by Ionic using ionic start.

I started with other template and all worked just well..

thank you.

flacohenao commented Jun 12, 2017

@BurtHarris I did, and still happening. I realize that it was just the "super" template made by Ionic using ionic start.

I started with other template and all worked just well..

thank you.

@maxdelia

This comment has been minimized.

Show comment
Hide comment
@maxdelia

maxdelia Jun 12, 2017

Deleting package-lock.json solved the issue for me!

maxdelia commented Jun 12, 2017

Deleting package-lock.json solved the issue for me!

@DullReferenceException

This comment has been minimized.

Show comment
Hide comment
@DullReferenceException

DullReferenceException Jun 12, 2017

I noticed this happened to me because of local changes made to an installed package; that probably caused the integrity value that was committed to be incorrect. Removing/reinstalling that package caused the corrected integrity value to be generated.

DullReferenceException commented Jun 12, 2017

I noticed this happened to me because of local changes made to an installed package; that probably caused the integrity value that was committed to be incorrect. Removing/reinstalling that package caused the corrected integrity value to be generated.

@ilabacheuski

This comment has been minimized.

Show comment
Hide comment
@ilabacheuski

ilabacheuski Jun 13, 2017

npm ERR! code EINTEGRITY

Got it all the time.
I run nom cache clean --force deleted node_modules, package-lose.json. Still have it.
app is cloned from bitbucket, developed in Windows, then cloned and tried on macOS

ilabacheuski commented Jun 13, 2017

npm ERR! code EINTEGRITY

Got it all the time.
I run nom cache clean --force deleted node_modules, package-lose.json. Still have it.
app is cloned from bitbucket, developed in Windows, then cloned and tried on macOS

@BurtHarris

This comment has been minimized.

Show comment
Hide comment
@BurtHarris

BurtHarris Jun 13, 2017

Well, there clearly needs to be some better documentation on this message, or better wording, but my hypothesis is that:

ERR! code EINTEGRITY occurs when a packages "claims" to have same name & semantic version as a package published (e.g. on npmjs.org), but has a different cryptographic signature from the published package.

@zkat, can you confirm that?

BurtHarris commented Jun 13, 2017

Well, there clearly needs to be some better documentation on this message, or better wording, but my hypothesis is that:

ERR! code EINTEGRITY occurs when a packages "claims" to have same name & semantic version as a package published (e.g. on npmjs.org), but has a different cryptographic signature from the published package.

@zkat, can you confirm that?

@ilabacheuski

This comment has been minimized.

Show comment
Hide comment
@ilabacheuski

ilabacheuski Jun 13, 2017

I would like to know which package broke sha... I cannot figure out which one is broke my app

ilabacheuski commented Jun 13, 2017

I would like to know which package broke sha... I cannot figure out which one is broke my app

@jlampa

This comment has been minimized.

Show comment
Hide comment
@jlampa

jlampa Jun 14, 2017

@ilabacheuski You can figure out that by doing
grep -ir "sha1-xxxxxxxxxxxxxxxx" ~/.npm
It will find a cache file containing details of the offending package.

jlampa commented Jun 14, 2017

@ilabacheuski You can figure out that by doing
grep -ir "sha1-xxxxxxxxxxxxxxxx" ~/.npm
It will find a cache file containing details of the offending package.

@ilabacheuski

This comment has been minimized.

Show comment
Hide comment
@ilabacheuski

ilabacheuski Jun 14, 2017

I found the problem's package. This is material-design-icons. When I change it to github repo of this package. everything works fine

ilabacheuski commented Jun 14, 2017

I found the problem's package. This is material-design-icons. When I change it to github repo of this package. everything works fine

@alfiepoleon

This comment has been minimized.

Show comment
Hide comment
@alfiepoleon

alfiepoleon Jun 14, 2017

Upgrading npm, deleted package-lock.json, deleted the node_modules folder then running npm install. That worked for me

alfiepoleon commented Jun 14, 2017

Upgrading npm, deleted package-lock.json, deleted the node_modules folder then running npm install. That worked for me

@bryanpleblanc

This comment has been minimized.

Show comment
Hide comment
@bryanpleblanc

bryanpleblanc Jun 20, 2017

Deleting package-lock.json also solved this issue for me! 👍

bryanpleblanc commented Jun 20, 2017

Deleting package-lock.json also solved this issue for me! 👍

@nuintun

This comment has been minimized.

Show comment
Hide comment
@nuintun

nuintun Jun 22, 2017

same problem, no package-lock.json

_20170622160717

nuintun commented Jun 22, 2017

same problem, no package-lock.json

_20170622160717

@EmadAdly

This comment has been minimized.

Show comment
Hide comment
@EmadAdly

EmadAdly Jun 22, 2017

try
npm cache verify

EmadAdly commented Jun 22, 2017

try
npm cache verify

rajsite added a commit to rajsite/VireoSDK that referenced this issue Jun 22, 2017

Recreate package-lock.json to fix EINTEGRITY issue
eslint started failing with the concat-stream issue here:
gruntjs/grunt-contrib-imagemin#249

Also noticed the EINTEGRITY warning. Found issue:
npm/npm#16861

delete node_modules and npm install had no effect
npm cache verify said was valid
npm cache clean --force, delete node_modules, npm install had no effect
delete AppData/Roaming/npm and npm-cache and current package-lock.json,
then npm i -g npm, then npm install worked

rajsite added a commit to rajsite/VireoSDK that referenced this issue Jun 23, 2017

Recreate package-lock.json to fix EINTEGRITY issue
eslint started failing with the concat-stream issue here:
gruntjs/grunt-contrib-imagemin#249

Also noticed the EINTEGRITY warning. Found issue:
npm/npm#16861

delete node_modules and npm install had no effect
npm cache verify said was valid
npm cache clean --force, delete node_modules, npm install had no effect
delete AppData/Roaming/npm and npm-cache and current package-lock.json,
then npm i -g npm, then npm install worked
@efimBistrov

This comment has been minimized.

Show comment
Hide comment
@efimBistrov

efimBistrov Jul 4, 2017

'npm cache verify' helped me))

efimBistrov commented Jul 4, 2017

'npm cache verify' helped me))

@roshanghangare

This comment has been minimized.

Show comment
Hide comment
@roshanghangare

roshanghangare Jul 6, 2017

updating node version from 5.0.4 → 5.1.0, resolved my issue.

roshanghangare commented Jul 6, 2017

updating node version from 5.0.4 → 5.1.0, resolved my issue.

@BurtHarris

This comment has been minimized.

Show comment
Hide comment
@BurtHarris

BurtHarris Jul 6, 2017

I assume @roshanghangare means npm@5.1.0. Release notes here

BurtHarris commented Jul 6, 2017

I assume @roshanghangare means npm@5.1.0. Release notes here

@rajarshi-chakrabarti

This comment has been minimized.

Show comment
Hide comment
@rajarshi-chakrabarti

rajarshi-chakrabarti Jul 6, 2017

npm cache verify did the trick for me! Thanks!

rajarshi-chakrabarti commented Jul 6, 2017

npm cache verify did the trick for me! Thanks!

@karnavkumar

This comment has been minimized.

Show comment
Hide comment
@karnavkumar

karnavkumar Aug 23, 2017

error page

9914 verbose unlock done using C:\Users\KARNAV\AppData\Roaming\npm-cache\_locks\staging-2b18654ccee529bc.lock for C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging 9915 warn optional SKIPPING OPTIONAL DEPENDENCY: ee-first@1.1.1 (node_modules\ionic\node_modules\ee-first): 9916 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\ee-first-2e5dd09c\index.js' 9917 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9917 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9918 warn optional SKIPPING OPTIONAL DEPENDENCY: delayed-stream@1.0.0 (node_modules\ionic\node_modules\delayed-stream): 9919 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\delayed-stream-17a8f5ce\Readme.md' 9920 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9920 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9921 warn optional SKIPPING OPTIONAL DEPENDENCY: combined-stream@1.0.5 (node_modules\ionic\node_modules\combined-stream): 9922 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\combined-stream-7d2d1fc6\Readme.md' 9923 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9923 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9924 warn optional SKIPPING OPTIONAL DEPENDENCY: cookiejar@2.1.1 (node_modules\ionic\node_modules\cookiejar): 9925 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\cookiejar-fd2dc595\cookiejar.js' 9926 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9926 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9927 warn optional SKIPPING OPTIONAL DEPENDENCY: lodash@4.17.4 (node_modules\ionic\node_modules\lodash): 9928 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\lodash-ed367a71\differenceBy.js' 9929 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9929 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9930 warn optional SKIPPING OPTIONAL DEPENDENCY: dargs@5.1.0 (node_modules\ionic\node_modules\dargs): 9931 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\dargs-4227eb6a\readme.md' 9932 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9932 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9933 warn optional SKIPPING OPTIONAL DEPENDENCY: continuable-cache@0.3.1 (node_modules\ionic\node_modules\continuable-cache): 9934 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\continuable-cache-f1714960\.jshintrc' 9935 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9935 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9936 warn optional SKIPPING OPTIONAL DEPENDENCY: archiver-utils@1.3.0 (node_modules\ionic\node_modules\archiver-utils): 9937 warn optional SKIPPING OPTIONAL DEPENDENCY: sha1-5QtMCccL89aA4y/xt5lOn52JUXQ= integrity checksum failed when using sha1: wanted sha1-5QtMCccL89aA4y/xt5lOn52JUXQ= but got sha1-zSvRTTP+pE15l0a7lT7nRYVZ9Fo=. (2237 bytes) 9938 warn optional SKIPPING OPTIONAL DEPENDENCY: iconv-lite@0.4.18 (node_modules\ionic\node_modules\iconv-lite): 9939 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\iconv-lite-9820b704\encodings\sbcs-data-generated.js' 9940 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9940 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9941 warn optional SKIPPING OPTIONAL DEPENDENCY: superagent@3.6.0 (node_modules\ionic\node_modules\superagent): 9942 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\superagent-20b09a1b\yarn.lock' 9943 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9943 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9944 warn optional SKIPPING OPTIONAL DEPENDENCY: cli-width@2.2.0 (node_modules\ionic\node_modules\cli-width): 9945 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\cli-width-bf65c7ef\.travis.yml' 9946 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9946 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9947 warn optional SKIPPING OPTIONAL DEPENDENCY: core-util-is@1.0.2 (node_modules\ionic\node_modules\core-util-is): 9948 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\core-util-is-5e288e1c\float.patch' 9949 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9949 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9950 warn optional SKIPPING OPTIONAL DEPENDENCY: ci-info@1.0.0 (node_modules\ionic\node_modules\ci-info): 9951 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\ci-info-cab3f5cf\LICENSE' 9952 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9952 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9953 warn optional SKIPPING OPTIONAL DEPENDENCY: extend@3.0.1 (node_modules\ionic\node_modules\extend): 9954 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\extend-e961dad1\.jscs.json' 9955 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9955 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9956 warn optional SKIPPING OPTIONAL DEPENDENCY: rsvp@3.6.2 (node_modules\ionic\node_modules\rsvp): 9957 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\rsvp-720b54c4\dist\es6\rsvp.es.map' 9958 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9958 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9959 warn optional SKIPPING OPTIONAL DEPENDENCY: formidable@1.1.1 (node_modules\ionic\node_modules\formidable): 9960 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\formidable-469de146\Readme.md' 9961 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9961 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9962 warn optional SKIPPING OPTIONAL DEPENDENCY: ansi-escapes@2.0.0 (node_modules\ionic\node_modules\ansi-escapes): 9963 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\ansi-escapes-afb53083\readme.md' 9964 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9964 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9965 warn optional SKIPPING OPTIONAL DEPENDENCY: ipaddr.js@1.4.0 (node_modules\ionic\node_modules\ipaddr.js): 9966 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\ipaddr.js-a0d05983\README.md' 9967 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9967 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9968 warn optional SKIPPING OPTIONAL DEPENDENCY: async@2.5.0 (node_modules\ionic\node_modules\async): 9969 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\async-a74fdc97\dist\async.js' 9970 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9970 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9971 warn optional SKIPPING OPTIONAL DEPENDENCY: diff@3.3.0 (node_modules\ionic\node_modules\diff): 9972 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\diff-3aed4245\dist\diff.js' 9973 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9973 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9974 verbose type OperationalError 9975 verbose stack Error: sha512-q4spe4KTfsAS1SUHLO0wz8Qiyf1+vMIAgpRYioFYDMNqKfHQbg+AVDH3i4fvpl71/P1L0dBl+fQi+P37UYf0ew== integrity checksum failed when using sha512: wanted sha512-q4spe4KTfsAS1SUHLO0wz8Qiyf1+vMIAgpRYioFYDMNqKfHQbg+AVDH3i4fvpl71/P1L0dBl+fQi+P37UYf0ew== but got sha512-u85RN+eP4nAarChfbezrWfTEYvV5q6RWakShn/pSb8ezfetsA+lOSYoDjhJvPNtmDjCHjz0GE635yJIk9AvbQw==. (2238 bytes) 9975 verbose stack at Transform.on (C:\Users\KARNAV\AppData\Roaming\npm\node_modules\npm\node_modules\ssri\index.js:275:19) 9975 verbose stack at emitNone (events.js:91:20) 9975 verbose stack at Transform.emit (events.js:185:7) 9975 verbose stack at endReadableNT (_stream_readable.js:974:12) 9975 verbose stack at _combinedTickCallback (internal/process/next_tick.js:80:11) 9975 verbose stack at process._tickCallback (internal/process/next_tick.js:104:9) 9976 verbose cwd C:\Users\KARNAV 9977 verbose Windows_NT 10.0.15063 9978 verbose argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\KARNAV\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js" "install" "-g" "cordova" "ionic" 9979 verbose node v6.10.3 9980 verbose npm v5.3.0 9981 error code EINTEGRITY 9982 error sha512-q4spe4KTfsAS1SUHLO0wz8Qiyf1+vMIAgpRYioFYDMNqKfHQbg+AVDH3i4fvpl71/P1L0dBl+fQi+P37UYf0ew== integrity checksum failed when using sha512: wanted sha512-q4spe4KTfsAS1SUHLO0wz8Qiyf1+vMIAgpRYioFYDMNqKfHQbg+AVDH3i4fvpl71/P1L0dBl+fQi+P37UYf0ew== but got sha512-u85RN+eP4nAarChfbezrWfTEYvV5q6RWakShn/pSb8ezfetsA+lOSYoDjhJvPNtmDjCHjz0GE635yJIk9AvbQw==. (2238 bytes) 9983 verbose exit [ 1, true ]

karnavkumar commented Aug 23, 2017

error page

9914 verbose unlock done using C:\Users\KARNAV\AppData\Roaming\npm-cache\_locks\staging-2b18654ccee529bc.lock for C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging 9915 warn optional SKIPPING OPTIONAL DEPENDENCY: ee-first@1.1.1 (node_modules\ionic\node_modules\ee-first): 9916 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\ee-first-2e5dd09c\index.js' 9917 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9917 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9918 warn optional SKIPPING OPTIONAL DEPENDENCY: delayed-stream@1.0.0 (node_modules\ionic\node_modules\delayed-stream): 9919 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\delayed-stream-17a8f5ce\Readme.md' 9920 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9920 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9921 warn optional SKIPPING OPTIONAL DEPENDENCY: combined-stream@1.0.5 (node_modules\ionic\node_modules\combined-stream): 9922 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\combined-stream-7d2d1fc6\Readme.md' 9923 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9923 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9924 warn optional SKIPPING OPTIONAL DEPENDENCY: cookiejar@2.1.1 (node_modules\ionic\node_modules\cookiejar): 9925 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\cookiejar-fd2dc595\cookiejar.js' 9926 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9926 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9927 warn optional SKIPPING OPTIONAL DEPENDENCY: lodash@4.17.4 (node_modules\ionic\node_modules\lodash): 9928 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\lodash-ed367a71\differenceBy.js' 9929 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9929 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9930 warn optional SKIPPING OPTIONAL DEPENDENCY: dargs@5.1.0 (node_modules\ionic\node_modules\dargs): 9931 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\dargs-4227eb6a\readme.md' 9932 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9932 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9933 warn optional SKIPPING OPTIONAL DEPENDENCY: continuable-cache@0.3.1 (node_modules\ionic\node_modules\continuable-cache): 9934 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\continuable-cache-f1714960\.jshintrc' 9935 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9935 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9936 warn optional SKIPPING OPTIONAL DEPENDENCY: archiver-utils@1.3.0 (node_modules\ionic\node_modules\archiver-utils): 9937 warn optional SKIPPING OPTIONAL DEPENDENCY: sha1-5QtMCccL89aA4y/xt5lOn52JUXQ= integrity checksum failed when using sha1: wanted sha1-5QtMCccL89aA4y/xt5lOn52JUXQ= but got sha1-zSvRTTP+pE15l0a7lT7nRYVZ9Fo=. (2237 bytes) 9938 warn optional SKIPPING OPTIONAL DEPENDENCY: iconv-lite@0.4.18 (node_modules\ionic\node_modules\iconv-lite): 9939 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\iconv-lite-9820b704\encodings\sbcs-data-generated.js' 9940 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9940 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9941 warn optional SKIPPING OPTIONAL DEPENDENCY: superagent@3.6.0 (node_modules\ionic\node_modules\superagent): 9942 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\superagent-20b09a1b\yarn.lock' 9943 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9943 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9944 warn optional SKIPPING OPTIONAL DEPENDENCY: cli-width@2.2.0 (node_modules\ionic\node_modules\cli-width): 9945 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\cli-width-bf65c7ef\.travis.yml' 9946 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9946 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9947 warn optional SKIPPING OPTIONAL DEPENDENCY: core-util-is@1.0.2 (node_modules\ionic\node_modules\core-util-is): 9948 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\core-util-is-5e288e1c\float.patch' 9949 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9949 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9950 warn optional SKIPPING OPTIONAL DEPENDENCY: ci-info@1.0.0 (node_modules\ionic\node_modules\ci-info): 9951 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\ci-info-cab3f5cf\LICENSE' 9952 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9952 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9953 warn optional SKIPPING OPTIONAL DEPENDENCY: extend@3.0.1 (node_modules\ionic\node_modules\extend): 9954 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\extend-e961dad1\.jscs.json' 9955 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9955 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9956 warn optional SKIPPING OPTIONAL DEPENDENCY: rsvp@3.6.2 (node_modules\ionic\node_modules\rsvp): 9957 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\rsvp-720b54c4\dist\es6\rsvp.es.map' 9958 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9958 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9959 warn optional SKIPPING OPTIONAL DEPENDENCY: formidable@1.1.1 (node_modules\ionic\node_modules\formidable): 9960 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\formidable-469de146\Readme.md' 9961 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9961 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9962 warn optional SKIPPING OPTIONAL DEPENDENCY: ansi-escapes@2.0.0 (node_modules\ionic\node_modules\ansi-escapes): 9963 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\ansi-escapes-afb53083\readme.md' 9964 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9964 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9965 warn optional SKIPPING OPTIONAL DEPENDENCY: ipaddr.js@1.4.0 (node_modules\ionic\node_modules\ipaddr.js): 9966 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\ipaddr.js-a0d05983\README.md' 9967 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9967 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9968 warn optional SKIPPING OPTIONAL DEPENDENCY: async@2.5.0 (node_modules\ionic\node_modules\async): 9969 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\async-a74fdc97\dist\async.js' 9970 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9970 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9971 warn optional SKIPPING OPTIONAL DEPENDENCY: diff@3.3.0 (node_modules\ionic\node_modules\diff): 9972 warn enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, utime 'C:\Users\KARNAV\AppData\Roaming\npm\node_modules\.staging\diff-3aed4245\dist\diff.js' 9973 verbose enoent SKIPPING OPTIONAL DEPENDENCY: This is related to npm not being able to find a file. 9973 verbose enoent SKIPPING OPTIONAL DEPENDENCY: 9974 verbose type OperationalError 9975 verbose stack Error: sha512-q4spe4KTfsAS1SUHLO0wz8Qiyf1+vMIAgpRYioFYDMNqKfHQbg+AVDH3i4fvpl71/P1L0dBl+fQi+P37UYf0ew== integrity checksum failed when using sha512: wanted sha512-q4spe4KTfsAS1SUHLO0wz8Qiyf1+vMIAgpRYioFYDMNqKfHQbg+AVDH3i4fvpl71/P1L0dBl+fQi+P37UYf0ew== but got sha512-u85RN+eP4nAarChfbezrWfTEYvV5q6RWakShn/pSb8ezfetsA+lOSYoDjhJvPNtmDjCHjz0GE635yJIk9AvbQw==. (2238 bytes) 9975 verbose stack at Transform.on (C:\Users\KARNAV\AppData\Roaming\npm\node_modules\npm\node_modules\ssri\index.js:275:19) 9975 verbose stack at emitNone (events.js:91:20) 9975 verbose stack at Transform.emit (events.js:185:7) 9975 verbose stack at endReadableNT (_stream_readable.js:974:12) 9975 verbose stack at _combinedTickCallback (internal/process/next_tick.js:80:11) 9975 verbose stack at process._tickCallback (internal/process/next_tick.js:104:9) 9976 verbose cwd C:\Users\KARNAV 9977 verbose Windows_NT 10.0.15063 9978 verbose argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\KARNAV\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js" "install" "-g" "cordova" "ionic" 9979 verbose node v6.10.3 9980 verbose npm v5.3.0 9981 error code EINTEGRITY 9982 error sha512-q4spe4KTfsAS1SUHLO0wz8Qiyf1+vMIAgpRYioFYDMNqKfHQbg+AVDH3i4fvpl71/P1L0dBl+fQi+P37UYf0ew== integrity checksum failed when using sha512: wanted sha512-q4spe4KTfsAS1SUHLO0wz8Qiyf1+vMIAgpRYioFYDMNqKfHQbg+AVDH3i4fvpl71/P1L0dBl+fQi+P37UYf0ew== but got sha512-u85RN+eP4nAarChfbezrWfTEYvV5q6RWakShn/pSb8ezfetsA+lOSYoDjhJvPNtmDjCHjz0GE635yJIk9AvbQw==. (2238 bytes) 9983 verbose exit [ 1, true ]

@ravindralande

This comment has been minimized.

Show comment
Hide comment
@ravindralande

ravindralande Aug 25, 2017

Run this command
npm cache clear --force && npm install --no-shrinkwrap --update-binary
after that fixed this issue for me

ravindralande commented Aug 25, 2017

Run this command
npm cache clear --force && npm install --no-shrinkwrap --update-binary
after that fixed this issue for me

@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost Aug 29, 2017

Try disabling the package-lock functionality:

npm config set package-lock false

ghost commented Aug 29, 2017

Try disabling the package-lock functionality:

npm config set package-lock false

@mnzaki

This comment has been minimized.

Show comment
Hide comment
@mnzaki

mnzaki Sep 9, 2017

I got a lot of npm ERR! code EINTEGRITY errors doing a fresh install of a fairly large project, but it was happening in various packages. I then realized that npm was reporting the package sizes incorrectly.

I just simply ran npm install over again multiple times until everything succeeded, I think it was just my bad internet connection. Perhaps npm should detect these errors by comparing the expected size and retrying a few times to continue the download?

mnzaki commented Sep 9, 2017

I got a lot of npm ERR! code EINTEGRITY errors doing a fresh install of a fairly large project, but it was happening in various packages. I then realized that npm was reporting the package sizes incorrectly.

I just simply ran npm install over again multiple times until everything succeeded, I think it was just my bad internet connection. Perhaps npm should detect these errors by comparing the expected size and retrying a few times to continue the download?

@bhoomij

This comment has been minimized.

Show comment
Hide comment
@bhoomij

bhoomij Sep 10, 2017

npm cache verify worked for me.

bhoomij commented Sep 10, 2017

npm cache verify worked for me.

@error99

This comment has been minimized.

Show comment
Hide comment
@error99

error99 Sep 10, 2017

I had some luck with 'sudo npm i'

error99 commented Sep 10, 2017

I had some luck with 'sudo npm i'

@SantosCano

This comment has been minimized.

Show comment
Hide comment
@SantosCano

SantosCano Oct 5, 2017

Solucionado!
sudo npm cache clear --force
sudo npm i -g npm

captura realizada el 2017-10-05 16 27 43

SantosCano commented Oct 5, 2017

Solucionado!
sudo npm cache clear --force
sudo npm i -g npm

captura realizada el 2017-10-05 16 27 43

@jakeNiemiec

This comment has been minimized.

Show comment
Hide comment
@jakeNiemiec

jakeNiemiec Oct 6, 2017

jakeNiemiec commented Oct 6, 2017

@zelein

This comment has been minimized.

Show comment
Hide comment
@zelein

zelein Oct 12, 2017

None of these solutions worked for me. Every time I run npm install a different package errors out with an EINTEGRITY error.

I've been using npm5 since it's release without issue. This suddenly cropped up and has made npm unusable for me. I had to downgrade to npm4.

zelein commented Oct 12, 2017

None of these solutions worked for me. Every time I run npm install a different package errors out with an EINTEGRITY error.

I've been using npm5 since it's release without issue. This suddenly cropped up and has made npm unusable for me. I had to downgrade to npm4.

@dylanpyle

This comment has been minimized.

Show comment
Hide comment
@dylanpyle

dylanpyle Nov 2, 2017

Just hit EINTEGRITY on a CI machine running npm 5.3.0. Retrying fixed things.

$ npm install -g npm
npm ERR! code EINTEGRITY
npm ERR! sha512-M3aO8EjHebaCw6uur4C86SZqkypnoaEVo5R63FEEU0dw9wLxf/JlwWtJItShYVyQS2WDxG2It10GEe5GmVEM2Q== integrity checksum failed when using sha512: wanted sha512-M3aO8EjHebaCw6uur4C86SZqkypnoaEVo5R63FEEU0dw9wLxf/JlwWtJItShYVyQS2WDxG2It10GEe5GmVEM2Q== but got sha512-jofoVqLnLBWLNlH76LjXjZ8++QIrK5OJNLUkFrO/X39einiMUQYLS5BHG6yWp/tcs37GgY3WBl14gJxFEMVhEQ==. (577976 bytes)

edit 2017-11-07: and again just now:

$ npm install -g npm
npm ERR! code EINTEGRITY
npm ERR! sha512-M3aO8EjHebaCw6uur4C86SZqkypnoaEVo5R63FEEU0dw9wLxf/JlwWtJItShYVyQS2WDxG2It10GEe5GmVEM2Q== integrity checksum failed when using sha512: wanted sha512-M3aO8EjHebaCw6uur4C86SZqkypnoaEVo5R63FEEU0dw9wLxf/JlwWtJItShYVyQS2WDxG2It10GEe5GmVEM2Q== but got sha512-5OzhPRXZaXoK1NhzhZQhbNhacnIkkC3URoKA9srf1v99Riia41lNw7urxKGKsq8T/Af7U3R63DtJeLPR2LeyNg==. (2850816 bytes)

dylanpyle commented Nov 2, 2017

Just hit EINTEGRITY on a CI machine running npm 5.3.0. Retrying fixed things.

$ npm install -g npm
npm ERR! code EINTEGRITY
npm ERR! sha512-M3aO8EjHebaCw6uur4C86SZqkypnoaEVo5R63FEEU0dw9wLxf/JlwWtJItShYVyQS2WDxG2It10GEe5GmVEM2Q== integrity checksum failed when using sha512: wanted sha512-M3aO8EjHebaCw6uur4C86SZqkypnoaEVo5R63FEEU0dw9wLxf/JlwWtJItShYVyQS2WDxG2It10GEe5GmVEM2Q== but got sha512-jofoVqLnLBWLNlH76LjXjZ8++QIrK5OJNLUkFrO/X39einiMUQYLS5BHG6yWp/tcs37GgY3WBl14gJxFEMVhEQ==. (577976 bytes)

edit 2017-11-07: and again just now:

$ npm install -g npm
npm ERR! code EINTEGRITY
npm ERR! sha512-M3aO8EjHebaCw6uur4C86SZqkypnoaEVo5R63FEEU0dw9wLxf/JlwWtJItShYVyQS2WDxG2It10GEe5GmVEM2Q== integrity checksum failed when using sha512: wanted sha512-M3aO8EjHebaCw6uur4C86SZqkypnoaEVo5R63FEEU0dw9wLxf/JlwWtJItShYVyQS2WDxG2It10GEe5GmVEM2Q== but got sha512-5OzhPRXZaXoK1NhzhZQhbNhacnIkkC3URoKA9srf1v99Riia41lNw7urxKGKsq8T/Af7U3R63DtJeLPR2LeyNg==. (2850816 bytes)
@ilabacheuski

This comment has been minimized.

Show comment
Hide comment
@ilabacheuski

ilabacheuski Nov 13, 2017

@dylanpyle try to update npm to latest version in CI before running. My problem with material google fonts has been disappeared in the latest npm. And to solve npm i -g npm try to verify cache. Check out whether CI uses some caching technology for npm. That can cause a problem. npm cache verify as I suggested in the comment above.

ilabacheuski commented Nov 13, 2017

@dylanpyle try to update npm to latest version in CI before running. My problem with material google fonts has been disappeared in the latest npm. And to solve npm i -g npm try to verify cache. Check out whether CI uses some caching technology for npm. That can cause a problem. npm cache verify as I suggested in the comment above.

@Benzner

This comment has been minimized.

Show comment
Hide comment
@Benzner

Benzner Nov 22, 2017

I found same problem when run
'react-native init projectname'

`npm WARN deprecated connect@2.30.2: connect 2.x series is deprecated
npm ERR! code EINTEGRITY
npm ERR! sha512-WIr7iDkdmdbxu/Gh6eKEZJL6KPE74/5MEsf2whTOFNxbIoIixogroLdKYqB6FDav
4Wavh/lZdzzd3b2KxIXC5Q== integrity checksum failed when using sha512: wanted sha
512-WIr7iDkdmdbxu/Gh6eKEZJL6KPE74/5MEsf2whTOFNxbIoIixogroLdKYqB6FDav4Wavh/lZdzzd
3b2KxIXC5Q== but got sha512-gr+uDP+o1V+q1lQw6M4IsLwOk8XutOi1VWiA7186M4O1v3Brs19R
pweK4XDKlY4xAtFrtJ+QHnxIzUDFCqb/mQ==. (887 bytes)
npm WARN tar invalid entry

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users***\AppData\Roaming\npm-cache_logs\2017-11-22T02_57
_55_075Z-debug.log
{ Error: Command failed: npm install --save --save-exact react-native`

Benzner commented Nov 22, 2017

I found same problem when run
'react-native init projectname'

`npm WARN deprecated connect@2.30.2: connect 2.x series is deprecated
npm ERR! code EINTEGRITY
npm ERR! sha512-WIr7iDkdmdbxu/Gh6eKEZJL6KPE74/5MEsf2whTOFNxbIoIixogroLdKYqB6FDav
4Wavh/lZdzzd3b2KxIXC5Q== integrity checksum failed when using sha512: wanted sha
512-WIr7iDkdmdbxu/Gh6eKEZJL6KPE74/5MEsf2whTOFNxbIoIixogroLdKYqB6FDav4Wavh/lZdzzd
3b2KxIXC5Q== but got sha512-gr+uDP+o1V+q1lQw6M4IsLwOk8XutOi1VWiA7186M4O1v3Brs19R
pweK4XDKlY4xAtFrtJ+QHnxIzUDFCqb/mQ==. (887 bytes)
npm WARN tar invalid entry

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users***\AppData\Roaming\npm-cache_logs\2017-11-22T02_57
_55_075Z-debug.log
{ Error: Command failed: npm install --save --save-exact react-native`

AlekseyMartynov added a commit to DevExpress/DevExtreme that referenced this issue Nov 22, 2017

@atfornes atfornes referenced this issue Nov 22, 2017

Closed

UglifyJS #611

@jcrben jcrben referenced this issue Nov 25, 2017

Open

Installation with npm gives code EINTEGRITY #19242

0 of 3 tasks complete
@paulius005

This comment has been minimized.

Show comment
Hide comment
@paulius005

paulius005 Dec 1, 2017

We have been getting the same issue on our Travis builds ever since upgrading to Node 8 and including package-lock.json in our commits. npm 5.5.1

paulius005 commented Dec 1, 2017

We have been getting the same issue on our Travis builds ever since upgrading to Node 8 and including package-lock.json in our commits. npm 5.5.1

@jmanueltl

This comment has been minimized.

Show comment
Hide comment
@jmanueltl

jmanueltl Feb 3, 2018

Sin duda que actualizar el npm desde cmd me ayudó.
En w / npm i -g npm
o tambien w/ npm cache verify

jmanueltl commented Feb 3, 2018

Sin duda que actualizar el npm desde cmd me ayudó.
En w / npm i -g npm
o tambien w/ npm cache verify

@UmidjonZar

This comment has been minimized.

Show comment
Hide comment
@UmidjonZar

UmidjonZar Feb 10, 2018

npm install --save-dev --save-exact react-native-scripts , that worked for me

UmidjonZar commented Feb 10, 2018

npm install --save-dev --save-exact react-native-scripts , that worked for me

@nitaliano

This comment has been minimized.

Show comment
Hide comment
@nitaliano

nitaliano Mar 7, 2018

This just happen to me out of nowhere with 5.0.3 running npm cache verify --force fixed the issue for me

nitaliano commented Mar 7, 2018

This just happen to me out of nowhere with 5.0.3 running npm cache verify --force fixed the issue for me

@zkat

This comment has been minimized.

Show comment
Hide comment
@zkat

zkat Mar 7, 2018

Member

@nitaliano you should really not be using 5.0.3. Please upgrade -- that version has a chunk of unpleasant known issues (as does the entire 5.0 series)

Member

zkat commented Mar 7, 2018

@nitaliano you should really not be using 5.0.3. Please upgrade -- that version has a chunk of unpleasant known issues (as does the entire 5.0 series)

@zkat

This comment has been minimized.

Show comment
Hide comment
@zkat

zkat Mar 7, 2018

Member

For others showing up here anyway: Please upgrade to 5.7.1 (or later, I guess), as there's been a bunch of fixes to prevent EINTEGRITY in recent versions. I'm gonna lock this thread, since people running old versions of npm reporting this is no longer a useful thing to have.

Member

zkat commented Mar 7, 2018

For others showing up here anyway: Please upgrade to 5.7.1 (or later, I guess), as there's been a bunch of fixes to prevent EINTEGRITY in recent versions. I'm gonna lock this thread, since people running old versions of npm reporting this is no longer a useful thing to have.

@npm npm locked as resolved and limited conversation to collaborators Mar 7, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.